Unispec Docs
ApiRegistryDraft files

Upload or replace a draft file

Raw body is file bytes. Path may contain nested segments (e.g. `agents/agent.yaml`).

PUT
/projects/{owner}/{project}/files/{path}

Raw body is file bytes. Path may contain nested segments (e.g. agents/agent.yaml).

Authorization

bearerAuth
AuthorizationBearer <token>

Firebase ID token (Google sign-in, etc.)

In: header

Path Parameters

owner*string
project*string
path*string

Project-relative file path; may include /

Header Parameters

X-File-Kind?string

Spec file kind (e.g. agent, tool, guardrail)

X-Content-Type?string

Preferred content type for the blob

Content-Type?string

Request Body

application/octet-stream

Response Body

application/json

application/json

curl -X PUT "https://example.com/projects/string/string/files/string"
{  "file": {    "path": "string",    "kind": "string",    "blob_ref": "string",    "content_sha256": "string",    "content_type": "string",    "size_bytes": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "string",    "message": "string"  }}